Page MenuHomePhabricator

Reimage & upgrade db1064
Closed, ResolvedPublic

Description

db1064 has trusty and MariaDB 10.0.16. Upgrade to jessie/10.0.23.

Make sure it uses the latest TLS certificates.

Details

Related Gerrit Patches:

Event Timeline

jcrespo created this task.Sep 5 2016, 8:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2016, 8:56 AM
jcrespo removed Marostegui as the assignee of this task.Sep 5 2016, 8:57 AM
jcrespo assigned this task to Marostegui.
jcrespo triaged this task as Medium priority.
jcrespo updated the task description. (Show Details)
jcrespo moved this task from Triage to Next on the DBA board.

Self note:

  • Belongs to s4
  • Has 0 weight in config

Change 308550 had a related patch set uploaded (by Marostegui):
Add db1019 to temporary replace db1064

https://gerrit.wikimedia.org/r/308550

Change 308550 merged by jenkins-bot:
mariadb: Depool db1064 for maintenance; pool db1019 instead

https://gerrit.wikimedia.org/r/308550

Mentioned in SAL [2016-09-05T14:05:06Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Changing db-eqiad config to depool db1064 - T144723 (duration: 00m 48s)

Deployment to depool db1064 is done, db1019 takes over it temporarily .

Mentioned in SAL [2016-09-06T09:23:15Z] <marostegui> Stopping mysql on db1064 for maintenance - T144723

Mentioned in SAL [2016-09-06T09:45:49Z] <marostegui> rysnc running from db1064 to dbstore1001 (T144723)

Mentioned in SAL [2016-09-06T11:19:39Z] <marostegui> disabled puppet on db1064 - going to be reimaged - T144723

Change 308945 had a related patch set uploaded (by Marostegui):
mariadb: pool db1064 after the reimage; depool db1019 which was replacing it

https://gerrit.wikimedia.org/r/308945

Change 308945 merged by jenkins-bot:
mariadb: pool db1064 after the reimage; depool db1019 which was replacing it

https://gerrit.wikimedia.org/r/308945

Mentioned in SAL [2016-09-07T09:05:09Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: pooled db1064 and removed db1019 which was replacing it - T144723 (duration: 00m 52s)

All looks good after the deployment, so this is done

Marostegui closed this task as Resolved.Sep 7 2016, 9:18 AM